VTK: vtx::VTXSchema Class Reference

| VTK 9.3.1

Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
vtx::VTXSchema Class Referenceabstract

Abstract common class to supported ADIOS2 schemas. More...

`#include <VTXSchema.h>`

Inheritance diagram for vtx::VTXSchema:
[legend]

## Public Member Functions
| VTXSchema (const std::string &type, const std::string &schema, adios2::IO &io, adios2::Engine &engine)
| Generic base constructor. More...
virtual | ~VTXSchema ()
void | Fill (vtkMultiBlockDataSet *multiBlock, size_t step=0)
| Fills multiblock data from request steps. More...

## Public Attributes
const std::string | Type
| carries schema type from derived class More...
std::string | Schema
| schema contents as a single string More...
std::map< double, size_t > | Times
| Stored times and corresponding steps. More...

## Protected Member Functions
virtual void | Init ()=0
virtual void | InitTimes ()=0
virtual void | DoFill (vtkMultiBlockDataSet *multiBlock, size_t step)=0
virtual void | ReadPiece (size_t step, size_t pieceID)=0
void | GetTimes (const std::string &variableName="")
void | GetDataArray (const std::string &variableName, types::DataArray &dataArray, size_t step=0)

## Protected Attributes
adios2::IO & | IO
adios2::Engine & | Engine

## Detailed Description

Abstract common class to supported ADIOS2 schemas.

Definition at line 31 of file VTXSchema.h.

## Constructor & Destructor Documentation

## ◆ VTXSchema()

vtx::VTXSchema::VTXSchema | ( | const std::string & | type,
|  | const std::string & | schema,
|  | adios2::IO & | io,
|  | adios2::Engine & | engine
| ) |  |

Generic base constructor.

Parameters

  type | from derived class
  schema | as input
  io | manages IO input containing variable information
  engine | manages stream input

## ◆ ~VTXSchema()

virtual vtx::VTXSchema::~VTXSchema | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ Fill()

void vtx::VTXSchema::Fill | ( | vtkMultiBlockDataSet * | multiBlock,
|  | size_t | step = `0`
| ) |  |

Fills multiblock data from request steps.

Parameters

  multiBlock | output structure
  step | input adios2 step

## ◆ Init()

virtual void vtx::VTXSchema::Init | ( |  | ) |
| protectedpure virtual

Implemented in vtx::schema::VTXvtkBase.

## ◆ InitTimes()

virtual void vtx::VTXSchema::InitTimes | ( |  | ) |
| protectedpure virtual

Implemented in vtx::schema::VTXvtkBase.

## ◆ DoFill()

virtual void vtx::VTXSchema::DoFill | ( | vtkMultiBlockDataSet * | multiBlock,
|  | size_t | step
| ) |  |
| protectedpure virtual

Implemented in vtx::schema::VTXvtkBase.

## ◆ ReadPiece()

virtual void vtx::VTXSchema::ReadPiece | ( | size_t | step,
|  | size_t | pieceID
| ) |  |
| protectedpure virtual

Implemented in vtx::schema::VTXvtkBase.

## ◆ GetTimes()

void vtx::VTXSchema::GetTimes | ( | const std::string & | variableName = `""` | ) |
| protected

## ◆ GetDataArray()

void vtx::VTXSchema::GetDataArray | ( | const std::string & | variableName,
|  | types::DataArray & | dataArray,
|  | size_t | step = `0`
| ) |  |
| protected

## Member Data Documentation

## ◆ Type

const std::string vtx::VTXSchema::Type

carries schema type from derived class

Definition at line 35 of file VTXSchema.h.

## ◆ Schema

std::string vtx::VTXSchema::Schema

schema contents as a single string

Definition at line 38 of file VTXSchema.h.

## ◆ Times

std::map<double, size_t> vtx::VTXSchema::Times

Stored times and corresponding steps.

      key: physical times
      value: adios2 step

Definition at line 47 of file VTXSchema.h.

## ◆ IO

adios2::IO& vtx::VTXSchema::IO
| protected

Definition at line 70 of file VTXSchema.h.

## ◆ Engine

adios2::Engine& vtx::VTXSchema::Engine
| protected

Definition at line 71 of file VTXSchema.h.

The documentation for this class was generated from the following file:

- IO/ADIOS2/VTX/schema/VTXSchema.h